#!/bin/bash
#
# NOTE: DO NOT MODIFY THIS FILE (Please see below for more information)
#
# This file contains the initial information necessary to specify the
# contents of the filesystem template for a particular service; e.g.
# siteinfo, apache, ssh, etc. We understand that there will be users
# out there who would like to modify the contents of these filesystem
# templates; handling this in a way that is compatible with RPM's
# behavior during upgrade requires a second file that contains the
# modifications. 
#
# First, understand that all this initial file does is spit out
# information about the proposed contents for the filesystem template,
# with each line containing one piece of information. Thus, in order
# to modify this information, you can create a new file called
# <service>.custom.sh (e.g. siteinfo.custom.sh); the lines of
# information written by this first script will be piped through
# the <service>.custom.sh script, and the resulting output will be
# what is finally considered for the filesystem template. Here is
# a straightforward example of how to add and remove additional data
# (we will remove the 'which' rpm and add the 'xmlto' rpm):
#
# #!/bin/bash
#
# # grep out the which RPM from the input, passing the rest through
# /bin/cat | grep -v '^S,rpm:which'
# # add an additional line specifying the xmlto RPM
# /bin/echo "S,rpm:xmlto"

#
# Begin actual script...
#

#!/bin/bash
cat <<EOF
S,rpm:httpd /etc/httpd$|/etc/httpd/conf$|/usr/bin|/usr/share/man|/usr/lib/lib
S,rpm:php !.*(httpd/conf.d/php.conf|pear/test/)
S,rpm:php-mysql
S,rpm:php-ldap
S,rpm:php-imap
S,rpm:php-mysql
S,rpm:php-pgsql
N:S,rpm:php-snmp
N:S,rpm:php-odbc
N:S,rpm:php-domxml
N:S,rpm:php-xmlrpc
N:S,rpm:php-mhash
N:S,rpm:php-mbstring
N:S,rpm:php-mcrypt
N:S,rpm:libmcrypt
N:S,rpm:mcrypt
N:S,rpm:mhash
S,rpm:expat
EOF
